Package org.eclipse.ui.commands

# Class ActionHandler

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.core.commands.AbstractHandler
org.eclipse.ui.commands.AbstractHandler
org.eclipse.ui.commands.ActionHandler

All Implemented Interfaces:
  `IHandler`, `IHandler2`, `IHandler`

@Deprecated public final class ActionHandler extends AbstractHandler
Deprecated.
Please use the "org.eclipse.core.commands" plug-in instead. This API is scheduled for deletion, see Bug 431177 for details
This class adapts instances of `IAction` to `IHandler`.

Since:
  3.0
See Also:
  - `ActionHandler`
Restriction:
  This class is scheduled for deletion.

## Constructor Summary

Constructors
Constructor
Description
`ActionHandler(IAction action)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`addHandlerListener(IHandlerListener handlerListener)`
Deprecated.
`void`
`dispose()`
Deprecated.
`Object`
`execute(Map parameterValuesByName)`
Deprecated.
`IAction`
`getAction()`
Deprecated.
`Map`
`getAttributeValuesByName()`
Deprecated.
`void`
`removeHandlerListener(IHandlerListener handlerListener)`
Deprecated.
`String`
`toString()`
Deprecated.

### Methods inherited from class org.eclipse.ui.commands.AbstractHandler

`execute, fireHandlerChanged, fireHandlerChanged, hasListeners, isEnabled, isHandled`

### Methods inherited from class org.eclipse.core.commands.AbstractHandler

`addHandlerListener, removeHandlerListener, setBaseEnabled, setEnabled`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ActionHandler

@Deprecated public ActionHandler(IAction action)
Deprecated.
Creates a new instance of this class given an instance of `IAction`.

Parameters:
  `action` - the action. Must not be `null`.

## Method Details

### addHandlerListener

@Deprecated public void addHandlerListener(IHandlerListener handlerListener)
Deprecated.
Description copied from interface: `IHandler`
Registers an instance of `IHandlerListener` to listen for changes to properties of this instance.

Specified by:
  `addHandlerListener` in interface `IHandler`
Overrides:
  `addHandlerListener` in class `AbstractHandler`
Parameters:
  `handlerListener` - the instance to register. Must not be `null`. If an attempt is made to register an instance which is already registered with this instance, no operation is performed.
Since:
  3.1
See Also:
  - `IHandler.addHandlerListener(org.eclipse.ui.commands.IHandlerListener)`

### dispose

@Deprecated public void dispose()
Deprecated.
Removes the property change listener from the action.

Specified by:
  `dispose` in interface `IHandler`
Specified by:
  `dispose` in interface `IHandler`
Overrides:
  `dispose` in class `AbstractHandler`
See Also:
  - `IHandler.dispose()`

### execute

@Deprecated public Object execute(Map parameterValuesByName) throws ExecutionException
Deprecated.
Description copied from interface: `IHandler`
Executes with the map of parameter values by name.

Parameters:
  `parameterValuesByName` - the map of parameter values by name. Reserved for future use, must be `null`.
Returns:
  the result of the execution. Reserved for future use, must be `null`.
Throws:
  `ExecutionException` - if an exception occurred during execution.

### getAction

@Deprecated public IAction getAction()
Deprecated.
Returns the action associated with this handler

Returns:
  the action associated with this handler (not null)
Since:
  3.1

### getAttributeValuesByName

@Deprecated public Map getAttributeValuesByName()
Deprecated.
Description copied from class: `AbstractHandler`
This simply return an empty map. The default implementation has no attributes.

Specified by:
  `getAttributeValuesByName` in interface `IHandler`
Overrides:
  `getAttributeValuesByName` in class `AbstractHandler`
Returns:
  the map of attribute values by name. This map may be empty, but is guaranteed not to be `null`. If this map is not empty, its collection of keys is guaranteed to only contain instances of `String`.
See Also:
  - `IHandler.getAttributeValuesByName()`

### removeHandlerListener

@Deprecated public void removeHandlerListener(IHandlerListener handlerListener)
Deprecated.
Description copied from interface: `IHandler`
Unregisters an instance of `IPropertyListener` listening for changes to properties of this instance.

Specified by:
  `removeHandlerListener` in interface `IHandler`
Overrides:
  `removeHandlerListener` in class `AbstractHandler`
Parameters:
  `handlerListener` - the instance to unregister. Must not be `null`. If an attempt is made to unregister an instance which is not already registered with this instance, no operation is performed.
Since:
  3.1
See Also:
  - `IHandler.removeHandlerListener(org.eclipse.ui.commands.IHandlerListener)`

### toString

@Deprecated public String toString()
Deprecated.

Overrides:
  `toString` in class `Object`